Summary:	A cool game for GNOME
Name: 		gnome-breakout
Version:        0.5.3
Epoch:	        1
Release:	%mkrel 4
License:	GPLv2+
Group:		Games/Arcade
Source:		http://www.users.on.net/mipearson/%name-%version.tar.bz2
Patch1: 01_makefile_fixes.dpatch
Patch3: 03_configure_fixes.dpatch
Patch4: 04_po_config.dpatch
Patch5: gnome-breakout-0.5.3-fix-desktop.patch
Patch6: gnome-breakout-0.5.3-mdv-fix-str-fmt.patch
Patch7: gnome-breakout-0.5.3-mdv-fix-pixmaps-install.patch
URL:		http://www.users.on.net/mipearson/
Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires:  gnomeui2-devel
BuildRequires:  imagemagick desktop-file-utils


%description
A breakout clone for GNOME. It supports mouse and keyboard control,
multiple difficulty levels, various nifty powerups, exploding blocks,
and customizable levels.

%prep
%setup -q
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p1 -b .strfmt
%patch7 -p1 -b .pixinst

%build
autoreconf -f -i
%configure2_5x --localstatedir=%{_localstatedir}/lib
%make

%install
rm -fr %buildroot
%makeinstall_std
desktop-file-install --vendor='' --delete-original \
	--dir %buildroot%_datadir/applications \
	--add-category='GTK;GNOME;ArcadeGame;Game' \
	%buildroot%_datadir/gnome/apps/Games/*.desktop

#icons
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot%_liconsdir
convert -scale 32x32 %name.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %name.png %buildroot%_miconsdir/%name.png

%find_lang %name

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -fr %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/gnome-breakout
%_datadir/pixmaps/*
%_datadir/applications/*.desktop
%_datadir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%attr(664, games, games) %{_localstatedir}/lib/games/*


%changelog
* Fri Dec 04 2009 Jérôme Brenier <incubusss@mandriva.org> 1:0.5.3-4mdv2010.1
+ Revision: 473512
- fix str fmt
- fix pixmaps install
- continue to use /var/lib/games

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 1:0.5.3-1mdv2008.1
+ Revision: 164449
- Clearify license
- Sync with debian patches
- New version
  bunzip2 the patches
- Import gnome-breakout

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot



* Thu Aug  3 2006 Gtz Waschk <waschk@mandriva.org> 0.5.2-2mdv2007.0
- fix buildrequires

* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 0.5.2-1mdv2007.0
- downgrade to 0.5.2
- Ubunutu patch
- xdg menu

* Wed May 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- fix the icon in the menu
- fix description
- fix locale files
- add buildrequires
- fix URL
- New release 0.5.3

* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-5mdk
- rebuild

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-4mdk
- rebuild

* Mon Sep 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-3mdk
- fix permission on score file (David Walser)

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.5.2-2mdk
- Use standard icon for menu
- Clean after build

* Thu Jul 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- updated to 0.5.2

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-3mdk
- rebuild

* Fri Sep 01 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- macros 
- menus

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- first spec
- new in contribs
